#!/bin/bash
#
# Глобальные переменные
components='hsh-install etersoft-build-utils mc' # Пакеты для работы в chroot
#
# Тест связи и пакета
if [ -z "$(rpm -qa |grep hasher)" ]; then
zenity --error \
       --title="Hasher" \
       --width="350" \
       --height="50" \
       --text="Произошла ошибка: Сеть отключена или не обнаружены нужные компоненты. Проверьте наличие в системе пакета «hasher» и его настройки."
exit
elif ! [ -d ~/hasher ]; then # Установка и настройка hasher
(
echo "10" ; cd ~/ ; sleep 1
echo "# Создание каталога" ; sleep 1
echo "20" ; mkdir hasher ; sleep 1
echo "# Создание hasher" ; sleep 1
echo "50" ; hsh --initroot-only ~/hasher ; sleep 1
echo "# Установка компонентов для работы в chroot" ; sleep 1
echo "75" ; $components ; sleep 1
echo "# Все операции выполнены" ; sleep 1
echo "100" ; sleep 1
) |
zenity --progress \
       --percentage=0 \
       --title="Установка Hasher" \
       --window-icon="/usr/share/icons/hicolor/64x64/apps/hasher.png" \
       --width="350" --height="50" \
       --auto-kill \
       --text="Выполняется установка Hasher..."
else # Очистка hasher
(
echo "10" ; sleep 1
echo "# Подготовка очистки каталога..." ; sleep 1
echo "20" ; sleep 1
echo "# Выполняется очистка Hasher..." ; sleep 1
echo "50" ; hsh --init ~/hasher ; sleep 1
echo "# Установка компонентов для работы в chroot" ; sleep 1
echo "75" ; $components ; sleep 1
echo "# Очистка завершена" ; sleep 1
echo "100" ; sleep 1
) |
zenity --progress \
       --percentage=0 \
       --title="Очистка Hasher" \
       --window-icon="/usr/share/icons/hicolor/64x64/apps/hasher.png" \
       --width="350" --height="50" \
       --auto-kill \
       --text="Выполняется очистка Hasher..."
fi
